package DbUtilsMER;

# DbUtilsMER.pm - the database utilities module from "Bioinformatics,
#                 Biocomputing and Perl".
#
# Version 0.01:   module created to hold MERconnectDB.

require Exporter;

our @ISA          = qw( Exporter );

our @EXPORT       = qw( MERconnectDB );
our @EXPORT_OK    = qw();
our %EXPORT_TAGS  = ();                         
                      
our $VERSION      = 0.01;

use constant DATABASE => "DBI:mysql:MER";
use constant DB_USER  => "bbp";
use constant DB_PASS  => "passwordhere";

sub MERconnectDB {
    #
    # Given:  nothing.
    # Return: a "connected" database handle to the MER database or
    #         if no connection is possible, return "undef".
    #

    return DBI->connect( DATABASE, DB_USER, DB_PASS );
}

1;
