#! /usr/bin/perl -w

# Multi_Seq_Get.pl - when provided with a list of IDs, download them.

use strict;

use Bio::Perl;

while ( my $ID =  <> )
{
    chomp ( $ID );

    print "Fetching Sequence: $ID.\n";

    my $Sequence = get_sequence( 'swiss', $ID );

    write_sequence( ">./seqs/$ID.swp", 'swiss', $Sequence );
    write_sequence( ">./seqs/$ID.fsa", 'fasta', $Sequence);
}	
