#! /usr/bin/perl -w

# simple_get_sequence.pl - a simple Bioperl example program, which downloads
#                          SWISS-PROT sequences.

use strict;

use Bio::Perl;

my $ID = shift;

my $Sequence = get_sequence( 'swiss', $ID );

write_sequence( ">./seqs/$ID.swp", 'swiss', $Sequence);
write_sequence( ">./seqs/$ID.fsa", 'fasta', $Sequence);
